summaryrefslogtreecommitdiffstats
path: root/source/l/libpng
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libpng')
-rwxr-xr-xsource/l/libpng/libpng.SlackBuild93
-rw-r--r--source/l/libpng/libpng.libs.diff18
-rw-r--r--source/l/libpng/slack-desc19
3 files changed, 130 insertions, 0 deletions
diff --git a/source/l/libpng/libpng.SlackBuild b/source/l/libpng/libpng.SlackBuild
new file mode 100755
index 000000000..adf477bb3
--- /dev/null
+++ b/source/l/libpng/libpng.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.2.37
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-libpng
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+rm -rf libpng-$VERSION
+tar xjvf $CWD/libpng-$VERSION.tar.bz2 || exit 1
+cd libpng-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Might as well link to -lz -lm, since the ./configure seems
+# to be doing it that way now... finally. That'll prevent
+# a couple of emails a week. :-)
+zcat $CWD/libpng.libs.diff.gz | patch -p1 --verbose || exit 1
+
+# Need this to substitute macros, but we'll keep using the
+# pre-built Makefile for now anyway...
+./configure --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+# Link the custom makefile:
+ln -sf scripts/makefile.linux ./Makefile
+
+make -j4 prefix=/usr LIBPATH=/usr/lib${LIBDIRSUFFIX} || exit 1
+make install prefix=/usr LIBPATH=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG
+
+# This symlink is needed to keep old applications running:
+# I guess the real lib used the major number 3, then 0 for
+# a short while, and now .3 again. Hopefully it will stay
+# this way as it was .3 in Slackware 10.2. One can hope.
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ if [ ! -e libpng.so.0 -a -e libpng.so.3 ]; then
+ ln -sf libpng.so.3 libpng.so.0
+ fi
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/libpng-$VERSION
+cp -a \
+ ANNOUNCE CHANGES INSTALL KNOWNBUG LICENSE README TODO Y2KINFO \
+ libpng*.txt example.c \
+ $PKG/usr/doc/libpng-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/libpng-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/libpng/libpng.libs.diff b/source/l/libpng/libpng.libs.diff
new file mode 100644
index 000000000..814365f6f
--- /dev/null
+++ b/source/l/libpng/libpng.libs.diff
@@ -0,0 +1,18 @@
+diff -ruN libpng-1.2.12/scripts/makefile.linux libpng-1.2.12-ldhack/scripts/makefile.linux
+--- libpng-1.2.12/scripts/makefile.linux 2006-06-27 22:22:40.000000000 +0200
++++ libpng-1.2.12-ldhack/scripts/makefile.linux 2006-08-25 14:27:08.000000000 +0200
+@@ -110,12 +110,12 @@
+ $(LN_SF) $(LIBSOVER) $(LIBSOMAJ)
+
+ $(LIBSOVER): $(OBJSDLL)
+- $(CC) -shared -Wl,-soname,$(LIBSOMAJ) -o $(LIBSOVER) $(OBJSDLL)
++ $(CC) -shared -Wl,-soname,$(LIBSOMAJ) -o $(LIBSOVER) $(OBJSDLL) -lm -lz
+
+ $(OLDSOVER): $(OBJSDLL)
+ $(CC) -shared -Wl,-soname,$(OLDSOMAJ) \
+ -o $(OLDSOVER) \
+- $(OBJSDLL)
++ $(OBJSDLL) -lm -lz
+
+ pngtest: pngtest.o $(LIBSO)
+ $(CC) -o pngtest $(CFLAGS) pngtest.o $(LDFLAGS)
diff --git a/source/l/libpng/slack-desc b/source/l/libpng/slack-desc
new file mode 100644
index 000000000..54d1d0f92
--- /dev/null
+++ b/source/l/libpng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libpng: libpng (Portable Network Graphics library)
+libpng:
+libpng: PNG (Portable Network Graphics) is an extensible file format for the
+libpng: lossless, portable, well-compressed storage of raster images. PNG
+libpng: provides a patent-free replacement for GIF and can also replace many
+libpng: common uses of TIFF. Indexed-color, grayscale, and truecolor images
+libpng: are supported, plus an optional alpha channel. Sample depths range
+libpng: from 1 to 16 bits.
+libpng:
+libpng:
+libpng: